﻿// BookmarksSettingDelete.cs
//
// Löscht die vom Bookmarks Script angelegten Benutzereinstellung aus EPLAN raus.
//
// Copyright by Frank Schöneck, 2011-2015
// letzte Änderung:
// V1.0.0, 29.11.2011, Frank Schöneck,	Projektbeginn
// V1.0.1, 28.01.2013, Frank Schöneck,	Quellcode nach C# portiert.
// V2.0.0, 20.10.2014, Frank Schöneck,	Verwendet nun die Funktion: SettingNode
// V2.0.1, 02.11.2015, Frank Schöneck,	Fehler in SettingNode behoben
//
// für Eplan Electric P8, ab V2.0
//

public class Bookmarks_class
{
	[Start]
	public void BookmarksSettingDelete()
	{
		DialogResult Result = MessageBox.Show("Sollen die Einstellungen wirklich aus EPLAN gelöscht werden?", "Bookmarks Einstellungen löschen", MessageBoxButtons.YesNo, MessageBoxIcon.Question);
		if (Result == System.Windows.Forms.DialogResult.Yes)
		{
			//Settings löschen
			Eplan.EplApi.Base.SettingNode oSettingNode = new Eplan.EplApi.Base.SettingNode("USER.SCRIPTS.BOOKMARKS");

			MessageBox.Show("Es wurden " + oSettingNode.GetCountOfNodes().ToString() + " Einstellungen gelöscht.", "Bookmarks Einstellungen löschen", MessageBoxButtons.OK, MessageBoxIcon.Information);
			oSettingNode.DeleteNode();
		}
	}
}
